Skip to main content
GET
/
api
/
dreps
/
{drepId}
DRep details
curl --request GET \
  --url https://nexus.gerowallet.io/api/dreps/{drepId} \
  --header 'Authorization: Bearer <token>'
{
  "drepId": "<string>",
  "drepHash": "<string>",
  "drepType": "<string>",
  "status": "<string>",
  "votingPower": 123,
  "deposit": 123,
  "registrationSlot": 123,
  "expiresEpochNo": 123,
  "metaUrl": "<string>",
  "metaHash": "<string>",
  "givenName": "<string>",
  "imageUrl": "<string>",
  "bio": "<string>",
  "objectives": "<string>",
  "motivations": "<string>",
  "rawMetadata": "<unknown>"
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

drepId
string
required
Minimum string length: 1

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

200 - */*

OK

drepId
string
drepHash
string
drepType
string
status
string
votingPower
integer
deposit
integer
registrationSlot
integer<int64>
expiresEpochNo
integer<int32>
metaUrl
string
metaHash
string
givenName
string
imageUrl
string
bio
string
objectives
string
motivations
string
rawMetadata
any